#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

# set to "1" to not do a bootstrap build
%define bootstrap 1

%define min_version %(echo %{version}|cut -d. -f1,2)

Summary:        KF 5 application workspace components
Name:           plasma-workspace
Version: 5.27.10
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
Source1:        kde.pam
Source11:       startkderc
# To Rediff
#Patch0:         plasma-workspace-5.24.4-konsole-in-contextmenu.patch
## Mageia patches
Patch10:        0001-Use-grep-E-instead-of-deprecated-egrep.patch
# mga#31816
Patch11:        plasma-workspace-lookandfeelsettings-default-to-org.mageia.breeze.patch
Patch12:        plasma-workspace-wallpaper-default-to-Mageia.patch
## Downstream patches
# add dependency on ssh-agent.service
Patch102:       plasma-workspace-5.24-ssh-agent.patch
# default to enable open terminal action
Patch106:       plasma-workspace-5.25.90-enable-open-terminal-action.patch
# default to enable the lock/logout actions
Patch107:       plasma-workspace-5.25.90-enable-lock-logout-action.patch

## Upstream branch patches P100 -> P199
# CVE-2024-36041 (mga#33272)
Patch100:       0001-Authenticate-local-clients.patch
Patch101:       0002-Remove-iceauth-dependency.patch

## Upstream master patches P200 -> P299

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:  cmake(Qt5XkbCommonSupport)
BuildRequires:  cmake(Qt5QuickTest)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Runner)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5JsEmbed)
BuildRequires:  cmake(KF5SysGuard)
BuildRequires:  cmake(KF5Screen)
BuildRequires:  cmake(KWinDBusInterface)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5NetworkManagerQt)
BuildRequires:  cmake(KF5XmlRpcClient)
BuildRequires:  cmake(KScreenLocker)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5ActivitiesStats)
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5KExiv2)

BuildRequires:  cmake(AppStreamQt)
BuildRequires:  cmake(Breeze)
BuildRequires:  cmake(KDED)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KF5QuickCharts)

BuildRequires:  cmake(KUserFeedback)
BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(Phonon4Qt5)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(PolkitQt5-1)
BuildRequires:  cmake(kpipewire)

BuildRequires:  qt5platformsupport-devel
BuildRequires:  qalculate-devel
BuildRequires:  pkgconfig(libgps) >= 3.23-1
BuildRequires:  iso-codes
BuildRequires:  pam-devel
BuildRequires:  libnm-devel

BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xtst)

%if ! %{bootstrap}
BuildRequires:  cmake(LibKWorkspace)
%endif
Requires:       kdeclarative
Requires:       qtdeclarative5
Requires:       qtquickcontrols5
Requires:       qtgraphicaleffects5
Requires:       oxygen
Requires:       xmessage
Requires:       kded
Requires:       kio
Requires:       kio-fuse
Requires:       kio-extras
%if ! %{bootstrap}
Requires:       plasma-desktop
%endif
Requires:       plasma-framework
Requires:       plasma5-milou
Requires:       solid
Requires:       breeze
Requires:       breeze-icons
Requires:       breeze-gtk
Requires:       kde-gtk-config
Requires:       kwin
Requires:       libkscreen
Requires:       kinit
Requires:       qttools5-qtdbus
Requires:       kservice
Requires:       frameworkintegration
Requires:       oxygen-icons5
Requires:       oxygen-fonts
Requires:       udisks2
Requires:       desktop-common-data >= 3.9-3
Requires:       kwindowsystem
Requires:       bluez-qt
Requires:       konsole
Requires:       kscreenlocker
Requires:       plasma-integration
Requires:       mageia-plasma5-config
Requires:       kinfocenter
Requires:       iso-codes
Requires:       kirigami2
Requires:       kquickcharts
Requires:       kuserfeedback
#kded5[1875]: org.kde.plasma.dataengine.geolocation: gpsd not found
Requires:       gpsd

Requires:       systemd

Recommends:     task-codec-audio
Recommends:     task-codec-video

# https://pagure.io/fedora-kde/SIG/issue/303
Recommends:     kde-inotify-survey
# https://pagure.io/fedora-kde/SIG/issue/354
Recommends:     audiocd-kio

# https://pagure.io/fedora-kde/SIG/issue/303
Recommends:     kde-inotify-survey
# https://pagure.io/fedora-kde/SIG/issue/354
Recommends:     audiocd-kio

Conflicts:      plasma-desktop < 5.24.4

Obsoletes:      kde-workspace < 2:4.11.23

%description
KF 5 application workspace components.

%triggerpostun -- kdebase4-workspace < 2:4.11.23
if [ -e %{_datadir}/xsessions/01KDE4.desktop ]; then
        rm -rf %{_datadir}/xsessions/01KDE4.desktop
fi

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/02Plasma.desktop ]; then
	rm -rf %{_datadir}/xsessions/02Plasma.desktop
fi

%files -f %name.lang
%_kf5_categoriesdir/kcmusers.categories
%_kf5_categoriesdir/kcm_regionandlang.categories
%_kf5_sysconfdir/xdg/QtProject/qtlogging.ini
%_kf5_datadir/xsessions/01plasma.desktop
%_kf5_sysconfdir/xdg/startkderc
%_kf5_sysconfdir/xdg/autostart/org.kde.plasmashell.desktop
%_kf5_sysconfdir/xdg/autostart/xembedsniproxy.desktop
%_kf5_sysconfdir/xdg/taskmanagerrulesrc
%_kf5_sysconfdir/xdg/autostart/klipper.desktop
%_kf5_sysconfdir/xdg/autostart/gmenudbusmenuproxy.desktop
%_kf5_categoriesdir/klipper.categories
%_kf5_categoriesdir/plasma-workspace.categories
%_kf5_categoriesdir/libnotificationmanager.categories
%_kf5_categoriesdir/myproject.categories
%_kf5_sysconfdir/xdg/plasmanotifyrc
%_kf5_sysconfdir/pam.d/kde
%_kf5_bindir/gmenudbusmenuproxy
%_kf5_bindir/kcminit
%_kf5_bindir/kcminit_startup
%_kf5_bindir/kcolorschemeeditor
%_kf5_bindir/kde-systemd-start-condition
%_kf5_bindir/kfontinst
%_kf5_bindir/kfontview
%_kf5_bindir/klipper
%_kf5_bindir/krunner
%_kf5_bindir/ksmserver
%_kf5_bindir/ksplashqml
%_kf5_bindir/lookandfeeltool
%_kf5_bindir/plasmashell
%_kf5_bindir/plasma-interactiveconsole
%_kf5_bindir/plasma-shutdown
%_kf5_bindir/plasma_session
%_kf5_bindir/plasma_waitforname
%_kf5_bindir/startkde
%_kf5_bindir/startplasma-x11
%_kf5_bindir/systemmonitor
%_kf5_bindir/plasmawindowed
%_kf5_bindir/xembedsniproxy
%_kf5_bindir/plasma-apply-colorscheme
%_kf5_bindir/plasma-apply-cursortheme
%_kf5_bindir/plasma-apply-desktoptheme
%_kf5_bindir/plasma-apply-lookandfeel
%_kf5_bindir/plasma-apply-wallpaperimage
%_kf5_bindir/plasma-localegen-helper
%_kf5_libdir/kconf_update_bin/krunnerhistory
%_kf5_libdir/kconf_update_bin/krunnerglobalshortcuts
%_kf5_libdir/kconf_update_bin/plasmashell*
%_libexecdir/baloorunner
%_libexecdir/kauth/fontinst*
%_libexecdir/kfontprint
%_libexecdir/ksmserver-logout-greeter
%_libexecdir/plasma-sourceenv.sh
%_libexecdir/plasma-changeicons
%_libexecdir/plasma-dbus-run-session-if-needed
%_kf5_datadir/knsrcfiles/colorschemes.knsrc
%_kf5_datadir/knsrcfiles/gtk_themes.knsrc
%_kf5_datadir/knsrcfiles/icons.knsrc
%_kf5_datadir/knsrcfiles/kfontinst.knsrc
%_kf5_datadir/knsrcfiles/lookandfeel.knsrc
%_kf5_datadir/knsrcfiles/plasma-themes.knsrc
%_kf5_datadir/knsrcfiles/plasmoids.knsrc
%_kf5_datadir/knsrcfiles/wallpaper.knsrc
%_kf5_datadir/knsrcfiles/wallpaperplugin.knsrc
%_kf5_datadir/knsrcfiles/xcursor.knsrc
%_kf5_datadir/sddm/themes/breeze
%_kf5_datadir/solid/actions/test-predicate-openinwindow.desktop
%_kf5_datadir/plasma/wallpapers/org.kde.image
%_kf5_datadir/plasma/wallpapers/org.kde.slideshow
%_kf5_datadir/plasma/wallpapers/org.kde.color
%_kf5_datadir/plasma/services/*
%_kf5_datadir/kio_desktop
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/desktop-directories/*
%_kf5_qmldir/org/kde/colorcorrect
%_kf5_qmldir/org/kde/plasma/private/digitalclock/
%_kf5_qmldir/org/kde/plasma/private/shell/
%_kf5_qmldir/org/kde/plasma/wallpapers/
%_kf5_qmldir/org/kde/plasma/workspace/
%_kf5_qmldir/org/kde/plasma/private/sessions/
%_kf5_qmldir/org/kde/taskmanager/
%_kf5_qmldir/org/kde/holidayeventshelperplugin/
%_kf5_qmldir/org/kde/plasma/private/appmenu/
%_kf5_qmldir/org/kde/plasma/private/containmentlayoutmanager/
%_kf5_qmldir/org/kde/plasma/private/kicker/
%_kf5_qmldir/org/kde/plasma/private/mediacontroller/
%_kf5_qmldir/org/kde/notificationmanager/
%_kf5_qmldir/org/kde/plasma/lookandfeel/
%_qt5_plugindir/plasma/dataengine/*.so
%_qt5_plugindir/kpackage/packagestructure/*
%_qt5_plugindir/plasma/kcminit/
%_qt5_plugindir/plasma/kcms/systemsettings/
%_qt5_plugindir/plasma/kcms/systemsettings_qwidgets/
%_kf5_plugindir/kio/*.so
%_kf5_plugindir/kded/*.so
%_kf5_plugindir/krunner/
%_kf5_plugindir/parts/kfontviewpart.so
%_kf5_plugindir/thumbcreator/fontthumbnail.so
%_kf5_datadir/plasma/look-and-feel/org.kde.breeze.desktop/
%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/
%_kf5_datadir/plasma/look-and-feel/org.kde.breezetwilight.desktop/
%_kf5_datadir/plasma/look-and-feel/org.kde.breezedark.desktop/
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemtray
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.manage-inputmethod
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.appmenu
%_kf5_datadir/dbus-1/interfaces/*.xml
%_kf5_datadir/dbus-1/services/*.service
%_kf5_datadir/dbus-1/system-services/*.service
%_kf5_datadir/dbus-1/system.d/*.conf
%_kf5_datadir/polkit-1/actions/org.kde.fontinst.policy
%_kf5_datadir/polkit-1/actions/org.kde.localegenhelper.policy
%_qt5_plugindir/phonon_platform
%_qt5_plugindir/plasma/applets/org.kde.plasma.panelspacer.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.private.systemtray.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.systemtray.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.appmenu.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.calendar.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.icon.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.notifications.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.systemmonitor.so
%_qt5_plugindir/plasma/containmentactions/
%_qt5_plugindir/plasmacalendarplugins/
%_qt5_plugindir/plasma/geolocationprovider/
%_kf5_datadir/config.kcfg/colorssettings.kcfg
%_kf5_datadir/config.kcfg/cursorthemesettings.kcfg
%_kf5_datadir/config.kcfg/feedbacksettings.kcfg
%_kf5_datadir/config.kcfg/fontssettings.kcfg
%_kf5_datadir/config.kcfg/freespacenotifier.kcfg
%_kf5_datadir/config.kcfg/iconssettingsbase.kcfg
%_kf5_datadir/config.kcfg/launchfeedbacksettings.kcfg
%_kf5_datadir/config.kcfg/lookandfeelsettings.kcfg
%_kf5_datadir/config.kcfg/stylesettings.kcfg
%_kf5_knotificationsdir/*.notifyrc
%_kf5_servicetypes/*.desktop
%_kf5_services/ServiceMenus/installfont.desktop
%_kf5_datadir/kpackage/kcms/kcm_colors/
%_kf5_datadir/kpackage/kcms/kcm_cursortheme/
%_kf5_datadir/kpackage/kcms/kcm_desktoptheme/
%_kf5_datadir/kpackage/kcms/kcm_feedback/
%_kf5_datadir/kpackage/kcms/kcm_fonts/
%_kf5_datadir/kpackage/kcms/kcm_lookandfeel/
%_kf5_datadir/kpackage/kcms/kcm_style/
%_kf5_datadir/kpackage/kcms/kcm_autostart/
%_kf5_datadir/kpackage/kcms/kcm_nightcolor/
%_kf5_datadir/kpackage/kcms/kcm_notifications/
%_kf5_datadir/kpackage/kcms/kcm_icons/
%_kf5_datadir/kpackage/kcms/kcm_users/
%_kf5_datadir/kpackage/kcms/kcm_regionandlang/
%_kf5_datadir/kstyle/themes/*.themerc
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.activitybar
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.analogclock
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.battery
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.calendar
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.devicenotifier
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.digitalclock
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.icon
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.lock_logout
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.mediacontroller
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.notifications
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.panelspacer
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.clipboard
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.cpu
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.cpucore
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskactivity
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskusage
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.memory
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.net
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.private.systemtray
%_kf5_metainfodir/org.kde.plasma*.appdata.xml
%_kf5_metainfodir/org.kde.breeze.desktop.appdata.xml
%_kf5_metainfodir/org.kde.color.appdata.xml
%_kf5_metainfodir/org.kde.image.appdata.xml
%_kf5_metainfodir/org.kde.slideshow.appdata.xml
%_kf5_metainfodir/org.kde.breezedark.desktop.appdata.xml
%_kf5_metainfodir/org.kde.breezetwilight.desktop.appdata.xml
%_kf5_datadir/kconf_update/krunnerhistory.upd
%_kf5_datadir/kconf_update/krunnerglobalshortcuts2.upd
%_kf5_datadir/kconf_update/delete_cursor_old_default_size.pl
%_kf5_datadir/kconf_update/delete_cursor_old_default_size.upd
%_kf5_datadir/kconf_update/icons_remove_effects.upd
%_kf5_datadir/kconf_update/plasmashell*.upd
%_kf5_datadir/kconf_update/style_widgetstyle_default_breeze.pl
%_kf5_datadir/kconf_update/style_widgetstyle_default_breeze.upd
%_kf5_datadir/kglobalaccel/org.kde.krunner.desktop
%_kf5_datadir/knsrcfiles/wallpaper-mobile.knsrc
%_kf5_datadir/kfontinst/icons/hicolor/*/actions/*font*.png
%_kf5_datadir/konqsidebartng/virtual_folders/services/fonts.desktop
%_kf5_datadir/krunner/dbusplugins/plasma-runner-baloosearch.desktop
%_kf5_datadir/kxmlgui5/kfontview/kfontviewui.rc
%_kf5_iconsdir/hicolor/*/apps/kfontview.png
%_kf5_iconsdir/hicolor/*/mimetypes/fonts-package.png
%_kf5_iconsdir/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%_userunitdir/plasma-baloorunner.service
%_userunitdir/plasma-core.target
%_userunitdir/plasma-gmenudbusmenuproxy.service
%_userunitdir/plasma-kcminit-phase1.service
%_userunitdir/plasma-kcminit.service
%_userunitdir/plasma-krunner.service
%_userunitdir/plasma-ksmserver.service
%_userunitdir/plasma-ksplash-ready.service
%_userunitdir/plasma-plasmashell.service
%_userunitdir/plasma-restoresession.service
%_userunitdir/plasma-workspace.target
%_userunitdir/plasma-xembedsniproxy.service
%_userunitdir/plasma-ksplash.service
%_userunitdir/plasma-workspace-wayland.target
%_userunitdir/plasma-workspace-x11.target
%_kf5_kxmlguidir/kfontview/kfontviewpart.rc
%_kf5_datadir/plasma/avatars/
%_kf5_datadir/kio/servicemenus/setaswallpaper.desktop
%_kf5_datadir/plasma/nightcolor/worldmap.png
%_kf5_datadir/zsh/site-functions/_plasmashell
# Need to be libified ?
%_kf5_libdir/libkrdb.so

#--------------------------------------------------------------------

%package wayland
Summary:        Wayland support for Plasma
Requires:       %{name} = %{version}-%{release}
Requires:       kwin-wayland >= %{min_version}
Requires:       kwayland-integration
Requires:       qtwayland5
Requires:       x11-server-xwayland

# startplasma-wayland deps
Requires:       qttools5-qtdbus

%description wayland
Wayland support for Plasma.

%files wayland
%{_kf5_bindir}/startplasma-wayland
%{_datadir}/wayland-sessions/plasmawayland.desktop

#--------------------------------------------------------------------

%define weather_ion_major 7
%define libweather_ion %mklibname weather_ion %{weather_ion_major}

%package -n %libweather_ion
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libweather_ion
KF 5 application workspace components.

%files -n %libweather_ion
%_kf5_libdir/libweather_ion.so.%{weather_ion_major}{,.*}

#--------------------------------------------------------------------

%define taskmanager_major 6
%define libtaskmanager %mklibname taskmanager %{taskmanager_major}

%package -n %libtaskmanager
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libtaskmanager
KF 5 application workspace components.

%files -n %libtaskmanager
%_kf5_libdir/libtaskmanager.so.%{taskmanager_major}{,.*}
%_kf5_libdir/libtaskmanager.so.%{min_version}{,.*}

#--------------------------------------------------------------------

%define plasma_geolocation_interface_major 5
%define libplasma_geolocation_interface %mklibname plasma-geolocation-interface %{plasma_geolocation_interface_major}

%package -n %libplasma_geolocation_interface
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libplasma_geolocation_interface
KF 5 application workspace components.

%files -n %libplasma_geolocation_interface
%_kf5_libdir/libplasma-geolocation-interface.so.%{plasma_geolocation_interface_major}{,.*}

#--------------------------------------------------------------------

%define kworkspace_major 5
%define libkworkspace %mklibname kworkspace %{kworkspace_major}

%package -n %libkworkspace
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libkworkspace
KF 5 application workspace components.

%files -n %libkworkspace
%_kf5_libdir/libkworkspace5.so.%{kworkspace_major}{,.*}

#--------------------------------------------------------------------

%define colorcorrect_major 5
%define libcolorcorrect %mklibname colorcorrect %{colorcorrect_major}

%package -n %libcolorcorrect
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libcolorcorrect
KF 5 application workspace components.

%files -n %libcolorcorrect
%_kf5_libdir/libcolorcorrect.so.%{colorcorrect_major}{,.*}

#--------------------------------------------------------------------

%define kfontinst_major 5
%define libkfontinst %mklibname kfontinst %{kfontinst_major}

%package -n %libkfontinst
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libkfontinst
KF 5 application workspace components.

%files -n %libkfontinst
%_kf5_libdir/libkfontinst.so.%{kfontinst_major}{,.*}

#--------------------------------------------------------------------

%define kfontinstui_major 5
%define libkfontinstui %mklibname kfontinstui %{kfontinstui_major}

%package -n %libkfontinstui
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libkfontinstui
KF 5 application workspace components.

%files -n %libkfontinstui
%_kf5_libdir/libkfontinstui.so.%{kfontinstui_major}{,.*}

#--------------------------------------------------------------------

%define notificationmanager_major 1
%define libnotificationmanager %mklibname notificationmanager %{notificationmanager_major}

%package -n %libnotificationmanager
Summary:        KF 5 application workspace components
Group:          System/Libraries

%description -n %libnotificationmanager
KF 5 application workspace components.

%files -n %libnotificationmanager
%_kf5_libdir/libnotificationmanager.so.%{notificationmanager_major}
%_kf5_libdir/libnotificationmanager.so.%{min_version}{,.*}

#--------------------------------------------------------------------

%define plasma_workspace_devel %mklibname plasma-workspace -d

%package -n %plasma_workspace_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libweather_ion = %version-%release
Requires:       %libtaskmanager = %version-%release
Requires:       %libplasma_geolocation_interface = %version-%release
Requires:       %libkworkspace = %version-%release
Requires:       %libcolorcorrect = %version-%release
Requires:       %libkfontinst = %version-%release
Requires:       %libkfontinstui = %version-%release
Requires:       %libnotificationmanager = %version-%release
Requires:       plasma-workspace = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %plasma_workspace_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %plasma_workspace_devel
%_includedir/colorcorrect/
%_includedir/kworkspace5/
%_includedir/notificationmanager/
%_includedir/plasma/geolocation/
%_includedir/plasma/weather/
%_includedir/taskmanager/
%_kf5_libdir/cmake/KRunnerAppDBusInterface/
%_kf5_libdir/cmake/KSMServerDBusInterface/
%_kf5_libdir/cmake/LibColorCorrect/
%_kf5_libdir/cmake/LibKWorkspace/
%_kf5_libdir/cmake/LibNotificationManager/
%_kf5_libdir/cmake/LibTaskManager/
%_kf5_libdir/libcolorcorrect.so
%_kf5_libdir/libkfontinst.so
%_kf5_libdir/libkfontinstui.so
%_kf5_libdir/libkworkspace5.so
%_kf5_libdir/libplasma-geolocation-interface.so
%_kf5_libdir/libtaskmanager.so
%_kf5_libdir/libweather_ion.so
%_kf5_libdir/libnotificationmanager.so

#--------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

# ease upgrade mga8->mga9
Conflicts:      plasma-desktop-handbook < 5.22.3

%description handbook
This package provides %name Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/klipper
%doc %_kf5_docdir/HTML/*/kcontrol/autostart/
%doc %_kf5_docdir/HTML/*/kcontrol/colors/
%doc %_kf5_docdir/HTML/*/kcontrol/cursortheme/
%doc %_kf5_docdir/HTML/*/kcontrol/desktopthemedetails/
%doc %_kf5_docdir/HTML/*/kcontrol/fontinst/
%doc %_kf5_docdir/HTML/*/kcontrol/fonts/
%doc %_kf5_docdir/HTML/*/kcontrol/formats/
%doc %_kf5_docdir/HTML/*/kcontrol/icons/
%doc %_kf5_docdir/HTML/*/kcontrol/kcmstyle/
%doc %_kf5_docdir/HTML/*/kcontrol/lookandfeel/
%doc %_kf5_docdir/HTML/*/kcontrol/notifications/
%doc %_kf5_docdir/HTML/*/kcontrol/screenlocker/
%doc %_kf5_docdir/HTML/en/PolicyKit-kde
%doc %_kf5_docdir/HTML/*/kcontrol/region_language/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 \
           -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

# compat symlink
ln -s startplasma-x11 %{buildroot}%{_kf5_bindir}/startkde

mkdir -p %buildroot%_kf5_sysconfdir/pam.d/
cp %{SOURCE1} %buildroot%_kf5_sysconfdir/pam.d/kde

mv %buildroot%_kf5_datadir/xsessions/plasma.desktop %buildroot%_kf5_datadir/xsessions/01plasma.desktop


pushd %buildroot%_kf5_datadir/plasma/look-and-feel
	cp -fr org.kde.breeze.desktop org.mageia.breeze.desktop
popd

mkdir -p %{buildroot}%_kf5_sysconfdir/xdg/QtProject/
cat > %{buildroot}%_kf5_sysconfdir/xdg/QtProject/qtlogging.ini << EOF
[Rules]
qt.qpa.xcb.warning=false
qt.qml.connections.warning=false
EOF

# This is in mageia-plasma5-config
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.desktop
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.json

# Change to use Mageia wallpapers
sed -i -e 's|^Image=.*$|Image=Mageia|g' %{buildroot}%{_kf5_datadir}/plasma/look-and-feel/org.mageia.breeze.desktop/contents/defaults

# Make kdestart use systemd
install -m644 -p -D %{SOURCE11} %{buildroot}%{_sysconfdir}/xdg/startkderc

%find_lang %name --all-name


%changelog
* Thu Jun 06 2024 daviddavid <daviddavid> 5.27.10-1.1.mga9
+ Revision: 2070261
- backport upstream patches to fix CVE-2024-36041 (mga#33272)
- add Fedora patches to change default desktop context menu configuration (mga#32324)
  + Enable "Open Terminal" action
  + Enable "Lock" and "Logout" actions
- recommend kde-inotify-survey and audiocd-kio
+ neoclust <neoclust>
- New version 5.27.10

* Tue Jul 04 2023 daviddavid <daviddavid> 5.27.5-2.mga9
+ Revision: 1963582
- add patch to default to our mageia wallpaper

* Wed May 31 2023 daviddavid <daviddavid> 5.27.5-1.mga9
+ Revision: 1960137
- New version 5.27.5

* Wed May 31 2023 daviddavid <daviddavid> 5.27.4.1-5.mga9
+ Revision: 1960073
- Fix to use Mageia wallpapers

* Mon May 29 2023 daviddavid <daviddavid> 5.27.4.1-4.mga9
+ Revision: 1959630
- add patch to default setting "org.mageia.breeze.desktop" in
  lookandfeelsettings.kcfg (mga#31816)

* Fri May 05 2023 daviddavid <daviddavid> 5.27.4.1-3.mga9
+ Revision: 1955883
- add patch to use `grep -E` instead of deprecated `egrep`

* Wed Apr 12 2023 daviddavid <daviddavid> 5.27.4.1-2.mga9
+ Revision: 1952783
- fix kwin-wayland dependency

* Tue Apr 11 2023 neoclust <neoclust> 5.27.4.1-1.mga9
+ Revision: 1952509
- New version 5.27.4.1
- New version 5.27.4

* Wed Mar 22 2023 daviddavid <daviddavid> 5.27.3-3.mga9
+ Revision: 1950025
- add missing runtime dependency on gpsd to fix:
  * kded5[1875]: org.kde.plasma.dataengine.geolocation: gpsd not found

* Tue Mar 21 2023 daviddavid <daviddavid> 5.27.3-2.mga9
+ Revision: 1949930
- drop no more needed by the project KF5WebKit build dependency

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949109
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945819
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944874
- New version 5.27.1

* Mon Feb 20 2023 daviddavid <daviddavid> 5.27.0-2.mga9
+ Revision: 1944387
- add upstream patch to disable global shortcuts at login

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942153
- New version 5.27.0

* Mon Feb 13 2023 daviddavid <daviddavid> 5.26.90-2.mga9
+ Revision: 1941235
- rebuild for new gpsd 3.25

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935695
- New version 5.26.90

* Sat Jan 07 2023 squidf <squidf> 5.26.5-2.mga9
+ Revision: 1931153
- Mass rebuild for icu 72.1

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930180
- New version 5.26.5

* Mon Dec 26 2022 daviddavid <daviddavid> 5.26.4.1-2.mga9
+ Revision: 1927021
- fix kwin-wayland dependency (mga#31328)

* Sun Dec 25 2022 daviddavid <daviddavid> 5.26.4.1-1.mga9
+ Revision: 1926861
- New version 5.26.4.1

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923143
- New version 5.26.4
+ daviddavid <daviddavid>
- add missing runtime dependency on kio-extras

* Wed Dec 14 2022 daviddavid <daviddavid> 5.26.3-3.mga9
+ Revision: 1922162
- rebuild for new Qt5 5.15.7 stack

* Fri Nov 18 2022 daviddavid <daviddavid> 5.26.3-2.mga9
+ Revision: 1908634
- add missing runtime dependency on kio-fuse

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907562
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889834
- New version 5.25.90

* Sun Aug 07 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875709
+ rebuild (emptylog)

* Fri Jul 29 2022 neoclust <neoclust> 5.25.3.1-1.mga9
+ Revision: 1872759
- New version 5.25.3.1

* Wed Jul 27 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872411
- New version 5.25.3

* Wed Jun 29 2022 papoteur <papoteur> 5.24.5-2.mga9
+ Revision: 1866662
- patch for session restore + kwin interaction race
+ neoclust <neoclust>
- New version 5.24.5

* Tue Apr 12 2022 neoclust <neoclust> 5.24.4-4.mga9
+ Revision: 1849117
- Disable bootstrap as desktop is available

* Tue Apr 12 2022 neoclust <neoclust> 5.24.4-3.mga9
+ Revision: 1848966
- Really enable bootstrap

* Tue Apr 12 2022 neoclust <neoclust> 5.24.4-2.mga9
+ Revision: 1848923
- Conflict against old plasma-desktop

* Mon Apr 11 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848716
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766186
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756851
- New version 5.23.3

* Sat Oct 09 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750207
- New version 5.23.0
- New version 5.22.90

* Wed Aug 11 2021 tmb <tmb> 5.22.3-5.mga9
+ Revision: 1741030
- rebuild for gpsd 3.23

* Wed Jul 21 2021 neoclust <neoclust> 5.22.3-4.mga9
+ Revision: 1737326
- Move libkrdb.so in the main package

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-3.mga9
+ Revision: 1736875
- Add more conflicts to help updates

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-2.mga9
+ Revision: 1736811
- Add conflicts on the handbook package against desktop-handbook

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736592
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721781
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715414
- New version 5.21.4

* Fri Mar 19 2021 daviddavid <daviddavid> 5.21.3-2.mga9
+ Revision: 1704670
- rebuild for breeze 5.21.3

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704291
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697464
- New version 5.21.2

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.1-4.mga9
+ Revision: 1697379
- rebuild for new gpsd 3.22

* Tue Mar 02 2021 daviddavid <daviddavid> 5.21.1-3.mga9
+ Revision: 1695745
- plasma-core.target: +Before=ssh-agent.service

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-2.mga9
+ Revision: 1693673
- switch over to systemd user sessions

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1693545
- New version 5.21.1

* Thu Jan 21 2021 daviddavid <daviddavid> 5.20.4-5.mga8
+ Revision: 1672812
- fix wrong conflicts added in r1669800 (the conflict was added in mageia-plasma5-config)

* Mon Jan 11 2021 daviddavid <daviddavid> 5.20.4-4.mga8
+ Revision: 1671059
- one more conflicts to ease upgrade mga7->mga8

* Fri Jan 08 2021 neoclust <neoclust> 5.20.4-3.mga8
+ Revision: 1669800
- Conflict against old mageia-plasma5-config to fix Breeze display bug

* Wed Dec 30 2020 neoclust <neoclust> 5.20.4-2.mga8
+ Revision: 1665877
- Add config files to decrease debugs in logs

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654214
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645440
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1640105
- New version 5.20.2

* Fri Oct 23 2020 daviddavid <daviddavid> 5.20.1.1-2.mga8
+ Revision: 1638672
- fix dependencies

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1.1-1.mga8
+ Revision: 1637906
- New version 5.20.1.1
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-2.mga8
+ Revision: 1635921
- ease upgrade mga7 -> mga8

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635552
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620805
- New version 5.19.5

* Fri Aug 07 2020 daviddavid <daviddavid> 5.19.4-2.mga8
+ Revision: 1611802
- add upstream patch to fix build with gpsd 3.21
- rebuild for new gpsd 3.21

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609622
- New version 5.19.4
+ ovitters <ovitters>
- fix usage of  in posttrans

* Thu Jul 09 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603746
- New version 5.19.3

* Mon Jul 06 2020 daviddavid <daviddavid> 5.19.2-3.mga8
+ Revision: 1602492
- backport upstream patch to block plasma-session exiting until startup sound completes (mga#26902)

* Sun Jun 28 2020 daviddavid <daviddavid> 5.19.2-2.mga8
+ Revision: 1600007
- systray [2/4]: Fix unreadable text w/ Breeze Dark

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598736
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1595873
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580961
- New version 5.18.5
- plasma-workspace-wayland requires also qttools5-qtdbus
- do not requires qttools5 anymore as it depend on clang which depend on some devel packages
  * discussed on the dev-ml (thanks to Akien)
- New version 5.18.4.1

* Tue Mar 24 2020 daviddavid <daviddavid> 5.18.3-2.mga8
+ Revision: 1559485
- add conflicts for older plasma-desktop containing libkickerplugin.so

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557179
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550395
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548270
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547239
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1505939
- New version 5.18.0

* Fri Feb 07 2020 daviddavid <daviddavid> 5.17.90-2.mga8
+ Revision: 1487729
- enable KF5QuickCharts and KUserFeedback support

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487456
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Tue Dec 24 2019 daviddavid <daviddavid> 5.17.4-2.mga8
+ Revision: 1469828
- provide compat /usr/bin/startkde symlink (#1785826, #1785973)

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464315
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460073
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456784
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455349
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453281
- New version 5.17.0

* Mon Oct 07 2019 daviddavid <daviddavid> 5.16.90.1-2.mga8
+ Revision: 1450301
- fix dependency on plasma-workspace-wayland sub-pkg

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90.1-1.mga8
+ Revision: 1448140
- New version 5.16.90.1
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437064
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426332
- New version 5.16.4

* Mon Jul 29 2019 daviddavid <daviddavid> 5.16.3-2.mga8
+ Revision: 1424847
- rebuild with fixed kf5-macros to install Qml files in the good path

* Thu Jul 25 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1423945
- New version 5.16.3

* Thu Jul 04 2019 daviddavid <daviddavid> 5.15.4-2.mga8
+ Revision: 1418196
- rebuild for new gpsd 3.19

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386864
- New version 5.15.4

* Mon Apr 01 2019 umeabot <umeabot> 5.15.3-3.mga7
+ Revision: 1384042
- Qt5 Rebuild

* Fri Mar 29 2019 wally <wally> 5.15.3-2.mga7
+ Revision: 1381014
- rebuild for new libqalculate 3.0.0

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374947
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370570
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368610
- New version 5.15.1

* Sat Feb 16 2019 neoclust <neoclust> 5.15.0-2.mga7
+ Revision: 1367641
- Add conflics to ease upgrade

* Sat Feb 16 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367589
- New version 5.15.0

* Sun Feb 10 2019 daviddavid <daviddavid> 5.14.5-2.mga7
+ Revision: 1365058
- add patch to fix wallpaper install dir (mga#23951#c3)

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356194
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339331
- New version 5.14.4

* Sat Nov 17 2018 wally <wally> 5.14.2-2.mga7
+ Revision: 1330406
- rebuild for new libqalculate 2.8.1

* Thu Oct 25 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1325223
- New version 5.14.2

* Tue Oct 09 2018 daviddavid <daviddavid> 5.13.4-3.mga7
+ Revision: 1318872
- add patch to fix compatibility with GPSD API v7
- rebuild for new gpsd 3.18

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1300309
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1251958
- New version 5.13.4

* Thu Apr 12 2018 daviddavid <daviddavid> 5.12.2-2.mga7
+ Revision: 1218051
- backport upstream patch to allow copying current date and time to clipboard (mga#18601)

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204460
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201006
- New version 5.12.1

* Fri Feb 02 2018 daviddavid <daviddavid> 5.11.95-2.mga7
+ Revision: 1198583
- rebuild for new libqalculate 2.2.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194505
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185700
- New version 5.11.4

* Wed Dec 06 2017 daviddavid <daviddavid> 5.11.2-3.mga7
+ Revision: 1181545
- rebuild for new gpsd 3.17

* Sat Oct 28 2017 daviddavid <daviddavid> 5.11.2-2.mga7
+ Revision: 1174437
- enable AppStreamQt support
- enable IsoCodes support

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174120
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172406
- New version 5.11.1

* Tue Oct 17 2017 neoclust <neoclust> 5.10.95-2.mga7
+ Revision: 1172315
- Rebuild against new libqalculate

* Fri Oct 06 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1169324
- New version 5.10.95
- New version 5.10.5

* Sun Jul 23 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1129388
- New version 5.10.4
- New version 5.10.3

* Thu Jun 01 2017 wally <wally> 5.8.7-6.mga6
+ Revision: 1105702
- rebuild for new libqalculate

* Wed May 31 2017 neoclust <neoclust> 5.8.7-5.mga6
+ Revision: 1105679
- Fix xembedsniproxy to handle gtk2 apps
- Rebuild on armv7

* Sun May 28 2017 neoclust <neoclust> 5.8.7-3.mga6
+ Revision: 1105287
- Fix typo in conflicts

* Sat May 27 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105192
- Add more conflicts to help upgrade

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105037
- New version 5.8.7

* Thu May 18 2017 neoclust <neoclust> 5.8.6-11.mga6
+ Revision: 1103036
- Remove patches from yesterday

* Thu May 18 2017 neoclust <neoclust> 5.8.6-10.mga6
+ Revision: 1102907
- Sync with plasma 5.8 branch

* Sun May 14 2017 neoclust <neoclust> 5.8.6-9.mga6
+ Revision: 1101062
- Fix conflits (mga#20800)

* Thu Apr 20 2017 neoclust <neoclust> 5.8.6-8.mga6
+ Revision: 1096961
- Sync with 5.8 branch

* Sat Apr 01 2017 neoclust <neoclust> 5.8.6-7.2.mga6
+ Revision: 1095588
- Update to Plasma 5.8 Branch

* Mon Mar 27 2017 akien <akien> 5.8.6-7.mga6
+ Revision: 1094961
- BR XTest for xembedsniproxy patch
- Add upstream patch 109 to fix gtk+3 support in xembedsniproxy (bko#362941, mga#20397)

* Sun Mar 26 2017 neoclust <neoclust> 5.8.6-6.mga6
+ Revision: 1094891
- Add P108: Allow disabling OSD through config file

* Wed Mar 15 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1092875
- Sync with Plasma/5.8 branch

* Sat Mar 11 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091816
- Sync with plasma 5.8 branch

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1091160
- Sync with 5.8.7 branch

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089953
- Rebuild for arm
- New version 5.8.6

* Mon Feb 20 2017 neoclust <neoclust> 5.8.5-12.mga6
+ Revision: 1086987
- Use recommends for task-codec-*

* Fri Feb 17 2017 neoclust <neoclust> 5.8.5-11.mga6
+ Revision: 1086656
- Make sure we are able to use medias in default plasma

* Thu Feb 16 2017 neoclust <neoclust> 5.8.5-10.mga6
+ Revision: 1086416
- Requires kinfocenter

* Wed Feb 15 2017 neoclust <neoclust> 5.8.5-9.mga6
+ Revision: 1086230
- Fix "Plasmashell crashes when switching activity" bko#371858

* Mon Jan 23 2017 wally <wally> 5.8.5-7.mga6
+ Revision: 1083202
- fix KDE4 xsessions removal

* Sun Jan 22 2017 wally <wally> 5.8.5-6.mga6
+ Revision: 1083035
- remove KDE4 xsessions leftovers when upgrading from mga5 (mga#20154)

* Sun Jan 22 2017 daviddavid <daviddavid> 5.8.5-5.mga6
+ Revision: 1082995
- requires kde-gtk-config

* Sun Jan 15 2017 neoclust <neoclust> 5.8.5-4.mga6
+ Revision: 1081917
- Add oxygen-fonts requires

* Sat Dec 31 2016 neoclust <neoclust> 5.8.5-3.mga6
+ Revision: 1078903
- Obsolete kde-workspace

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078726
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078177
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-2.mga6
+ Revision: 1075318
- fix file list

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070734
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065074
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064495
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063065
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060290
- New version 5.8.1

* Sat Oct 01 2016 barjac <barjac> 5.8.0-2.mga6
+ Revision: 1057961
- fix conflict

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057623
- New version 5.8.0

* Thu Sep 22 2016 neoclust <neoclust> 5.7.95-6.mga6
+ Revision: 1055180
- Do not define XDG_DATA_DIRS in startkde, it is already defined in env.sh

* Tue Sep 20 2016 daviddavid <daviddavid> 5.7.95-5.mga6
+ Revision: 1054752
- add upstream patch to fix plasma digitalclock issue (mga#19403)

* Tue Sep 20 2016 daviddavid <daviddavid> 5.7.95-4.mga6
+ Revision: 1054660
- rebase and re-enable konsole-in-contextmenu patch

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-3.mga6
+ Revision: 1053215
- Add missing deps

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053207
- BR breeze
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052701
- New version 5.7.5

* Thu Aug 25 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1048913
- rebuild to regenerate rpms

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048864
- New version 5.7.4

* Mon Aug 08 2016 neoclust <neoclust> 5.7.3-6.mga6
+ Revision: 1044992
- Fix some default plasma issues ( mga#19152)

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044904
- Create mageia desktop theme

* Sun Aug 07 2016 wally <wally> 5.7.3-4.mga6
+ Revision: 1044895
- rebuild for new libqalculate

* Sun Aug 07 2016 daviddavid <daviddavid> 5.7.3-3.mga6
+ Revision: 1044883
- rebuild for new libqalculate 0.9.9

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1044663
- Enable folderview by default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044481
- New version 5.7.3

* Sat Jul 30 2016 daviddavid <daviddavid> 5.7.2-4.mga6
+ Revision: 1044006
- add optional BR KF5Holidays to enable holidays plugin for Plasma Calendar

* Wed Jul 27 2016 daviddavid <daviddavid> 5.7.2-3.mga6
+ Revision: 1043780
- revert recent upstream systray icon resize (kde#365570)

* Fri Jul 22 2016 neoclust <neoclust> 5.7.2-2.mga6
+ Revision: 1043172
- Fix logic

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042574
- New version 5.7.2

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042369
- Fix typo in XDG_DATA_DIRS

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042353
- Fix XDG_DATA_DIRS ( mga #17514)

* Wed Jul 13 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041643
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-2.mga6
+ Revision: 1039918
- Add konsole back on menu options

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039563
- New version 5.7.0

* Tue Jul 05 2016 tmb <tmb> 5.6.5.1-1.mga6
+ Revision: 1038846
- disable P1
+ neoclust <neoclust>
- New version 5.6.5.1
- New version 5.6.5
- Add mageia default background

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014556
- New version 5.6.4

* Fri May 06 2016 neoclust <neoclust> 5.6.3-2.mga6
+ Revision: 1009691
- Split out wayland support

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009293
- New version 5.6.3

* Sat Apr 09 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999836
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998032
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994410
- New version 5.6.0
- Add plasma-integration as a deps

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 986982
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 985055
- Build in bootstrap mode

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983758
- New version 5.5.95

* Wed Jan 27 2016 akien <akien> 5.5.4-1.mga6
+ Revision: 928047
- Drop upstreamed sniproxy patch
+ neoclust <neoclust>
- New version 5.5.4

* Wed Jan 20 2016 neoclust <neoclust> 5.5.3-3.mga6
+ Revision: 925981
- Rename plasma session file to make sure it is listed first on KDE Install

* Mon Jan 18 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 925385
- Add upstream patch to fix a crash in sniproxy ( mga #17516)

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922520
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915812
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 915512
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Wed Dec 16 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 911159
- Workaround a system icon tray issue in bug

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910701
- New version 5.5.1
- Use %%name macro

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 909015
- Disable boostrap

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908975
- Boostrap to allow to build plasma-desktop on ARM

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908862
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 904492
- New version 5.4.95

* Sat Nov 14 2015 neoclust <neoclust> 5.4.90-6.mga6
+ Revision: 903091
- Fix font path

* Thu Nov 12 2015 neoclust <neoclust> 5.4.90-5.mga6
+ Revision: 902745
- Add icons ( breeze and oxygen ) MGA#17136 and MGA#17137

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-4.mga6
+ Revision: 900744
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 899896
- Fix startkde

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899696
- Rebuild against fixed extra-cmake-modules
- New version 5.4.90
- New version 5.4.90

* Sun Oct 25 2015 neoclust <neoclust> 5.4.2-3.mga6
+ Revision: 895078
- Remove documentation dupplicate with handbook rpm

* Sat Oct 24 2015 neoclust <neoclust> 5.4.2-2.mga6
+ Revision: 894853
- Do not patch startkde

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889542
- New version 5.4.2
- New version 5.4.2

* Mon Sep 28 2015 neoclust <neoclust> 5.4.1-6.mga6
+ Revision: 884320
- Make sure we install the good version of desktop-common-data first
- Make sure we require the good desktop-common-data

* Sat Sep 19 2015 neoclust <neoclust> 5.4.1-4.mga6
+ Revision: 881287
- Make sure to remove the old session desktop file

* Thu Sep 17 2015 neoclust <neoclust> 5.4.1-3.mga6
+ Revision: 880117
- Do not export QML Path anymore

* Mon Sep 14 2015 neoclust <neoclust> 5.4.1-2.mga6
+ Revision: 879294
- Use upstream xsessions files

* Thu Sep 10 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 875385
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869713
- New version 5.4.0
- New version 5.4.0

* Tue Aug 18 2015 neoclust <neoclust> 5.3.95-8.mga6
+ Revision: 865406
- Do not use %%_kf5_datadir/xsessions/plasma.desktop Yet!

* Mon Aug 17 2015 neoclust <neoclust> 5.3.95-7.mga6
+ Revision: 865398
- Try to use upstream %%_kf5_datadir/xsessions/plasma.desktop

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-6.mga6
+ Revision: 864104
- Fix bluez applet

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-5.mga6
+ Revision: 864103
- Fix requires to have plasmabar visible

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-4.1.mga6
+ Revision: 864089
- Rebuild with plasma-desktop support

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-4.mga6
+ Revision: 863499
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 863486
- Workaround dbus interface path

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863474
- Workaround dbus interface path

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863464
- New version 5.4 Beta1
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-11.mga6
+ Revision: 860252
- Fix conflicts against kdebase4-workspace

* Sun Jul 26 2015 neoclust <neoclust> 5.3.2-10.mga6
+ Revision: 858160
- Add back konsole patch

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-9.mga6
+ Revision: 855171
- fix BuildRequires, Requires & Provides

* Wed Jul 08 2015 neoclust <neoclust> 5.3.2-8.mga6
+ Revision: 852679
- Do not obsoletes kde4 devel package

* Tue Jul 07 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 852274
- fix Provides, Obsoletes & Conflicts

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 852270
- Try to fix update

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 851871
- Try to better obsoletes workspace

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 851850
- Remove confict

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 851762
- Obsolete devel and handbook too

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851755
- Obsolete kdebase4-workspace

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850167
- New version 5.3.2

* Mon Feb 23 2015 lmenut <lmenut> 5.1.2-9.mga5
+ Revision: 816621
- fix only CVE-2015-1307 for now
- CVE-2015-1308 is hardly fixable in 5.1.x
+ luigiwalser <luigiwalser>
- add missing BR kwayland-devel, needed to build screenlocker
- rediff upstream patches to fix CVE-2015-1307 and CVE-2015-1308

* Fri Jan 09 2015 sander85 <sander85> 5.1.2-8.mga5
+ Revision: 809547
- Fix typo introduced in r808414

* Thu Jan 08 2015 lmenut <lmenut> 5.1.2-7.mga5
+ Revision: 809489
- add requires desktop-common-data
- startkde: fix XDG_CONFIG_DIRS
- startkde: fix XDG_MENU_PREFIX
- add upstream patch to fix startup with dbus >= 1.8.14 (mga#14963)
- fix bootstrap
- add DesktopNames to Plasma session config

* Sun Jan 04 2015 neoclust <neoclust> 5.1.2-6.mga5
+ Revision: 808414
- Fix session unlocking

* Tue Dec 30 2014 sander85 <sander85> 5.1.2-5.mga5
+ Revision: 807274
- Device Notifier needs udisks2 to work properly

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-4.mga5
+ Revision: 804388
- Fix bootstrap logic

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-3.mga5
+ Revision: 804387
- As libkworkspace name changed, we need to bootstrap build

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-2.mga5
+ Revision: 804383
- Relax requires

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804363
- Rediff P1
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-17.mga5
+ Revision: 793591
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-16.mga5
+ Revision: 745584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-15.mga5
+ Revision: 687636
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 neoclust <neoclust> 5.0.1-14.mga5
+ Revision: 668533
- Requires oxygen-icon-theme
- Rename plasma conf file

* Tue Aug 26 2014 neoclust <neoclust> 5.0.1-13.mga5
+ Revision: 668349
- Add frameworkintegration as require

* Tue Aug 26 2014 neoclust <neoclust> 5.0.1-12.mga5
+ Revision: 668345
- Add kservice as require

* Fri Aug 22 2014 neoclust <neoclust> 5.0.1-11.mga5
+ Revision: 666404
- Add qtgraphicaleffects5 as deps for kicker menu

* Mon Aug 18 2014 neoclust <neoclust> 5.0.1-10.mga5
+ Revision: 665083
- More fixes regarding plugin location

* Sun Aug 17 2014 neoclust <neoclust> 5.0.1-9.mga5
+ Revision: 664905
- Add minimal requires
  Fix path in startkde

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-8.mga5
+ Revision: 663973
- Adapt to packages renaming

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-7.mga5
+ Revision: 663157
- Requires kf5-libkscreen

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-6.mga5
+ Revision: 663143
- Requires kf5-kwin

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-5.mga5
+ Revision: 662787
- Add breeze as minimum require
- Add solid as minimum require

* Thu Aug 14 2014 luigiwalser <luigiwalser> 5.0.1-4.mga5
+ Revision: 662552
- remove requires on kcontrol

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-3.mga5
+ Revision: 662470
- Use kf5 macros not kde4 one

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 662450
- Add more requires

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662325
- New version 5.0.1
- Add minimal requires
- Workaround  start plasmashell issue
- Remove useless plasma.desktop file, we generate it via filetriggers

* Mon Jul 28 2014 neoclust <neoclust> 5.0.0-11.mga5
+ Revision: 657677
- Fix devel package name

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-10.mga5
+ Revision: 657649
- Enable translations

* Fri Jul 25 2014 neoclust <neoclust> 5.0.0-9.mga5
+ Revision: 656518
- Requires oxygen

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-8.mga5
+ Revision: 655649
- Add DM File
- Customize startkde

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-7.mga5
+ Revision: 655615
- Fix Requires

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 655614
- Fix Requires

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 655555
- Fix libexecdir path

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 655437
- Require main package in the devel

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 655388
- Use kf5 devel file instead of KDE4 one

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655382
- Add more BuildRequires

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655373
- imported package plasma-workspace

